Шаблон:Таблица ролей/styles.css: различия между версиями

Материал из Space Station 14 Вики
мНет описания правки
мНет описания правки
Строка 7: Строка 7:


.таблица-ролей__content {
.таблица-ролей__content {
    display: flex;
     padding: 12px 10px;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
     padding: 0.4em;
    text-align: center;
    gap: 6px;
}
}


Строка 39: Строка 33:
.таблица-ролей__sub > div {
.таблица-ролей__sub > div {
     padding: 0.2em 0.4em 0.2em;
     padding: 0.2em 0.4em 0.2em;
}
.таблица-ролей__content > .link-card {
flex-grow: 1;
}
}

Версия от 21:46, 25 июня 2025

.таблица-ролей {
    background: var(--theme-bg-color-100);
    border: 1px solid var(--theme-border-color-base);
    padding: 0.4em;
    border-radius: var(--border-radius-low);
}

.таблица-ролей__content {
    padding: 12px 10px;
}

.таблица-ролей__header {
	padding: 0.2em 0.4em 0.2em;
	font-weight: bold;
    border-radius: var(--border-radius-low);
    border-top: 1px solid var(--color-lighter-alpha-x);
    border-bottom: 2px solid var(--color-darkened-border);
}


.таблица-ролей__sub {
    display: grid;
    gap: 6px;
    grid-template-columns: repeat(auto-fit, minmax(220px, auto));
    margin-top: 6px;
}

.таблица-ролей__sub-content {
	border-top: 1px solid var(--color-lighter-alpha-x);
    border-radius: var(--border-radius-low);
}

.таблица-ролей__sub > div {
    padding: 0.2em 0.4em 0.2em;
}

.таблица-ролей__content > .link-card {
	flex-grow: 1;
}